#!/usr/bin/env python3

from setuptools import setup

long_description = """
Policy manager handles quotas limitations for mass mailing through a TCP-listening unix daemon
Contains an REST API to retrieve useful informations, such as limits for a user, data currently
in cache.

The policy server is multi-threaded
"""

setup (name='policy_manager',
    version='1.1.1',
    packages=['policy'],
    description='Handle quota restrictions for SMTP traffic',
    long_description=long_description,
    author='Guillaume Penaud; Benjamin Renard',
    author_email='gpenaud@easter-eggs.com; brenard@easter-eggs.com',
    url='',
    license='GPL',
    platforms='UNIX',
    classifiers = [
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: GNU Public license (GPL)',
        'Operating System :: POSIX',
        'Operating System :: MacOS :: MacOS X',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Topic :: Mailing',
        'Topic :: REST API',
    ],
    data_files=[
        ('/usr/sbin', ['src/usr/sbin/policy_manager']),
        ('/etc/policy_manager', ['src/etc/policy_manager/configuration.yaml']),
        ('/etc/init.d', ['src/etc/init.d/policy_manager']),
    ],
    include_package_data=True,
)
